Skip to main content
`Ctrl`+`K`

# SNESConvergedReasonViewCancel

Clears all the reason view functions for a `SNES` object provided with `SNESConvergedReasonViewSet()` also removes the default viewer.

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESConvergedReasonViewCancel(SNES snes)

Collective

## Input Parameter

- snes - the nonlinear iterative solver context obtained from `SNESCreate()`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESCreate()`, `SNESDestroy()`, `SNESReset()`, `SNESConvergedReasonViewSet()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages